## org.eclipse.wst.server.ui.actions
Class RunOnServerAction

    java.lang.Object
      Action
          org.eclipse.wst.server.ui.actions.RunOnServerAction

    public class RunOnServerAction

extends Action

"Run on Server" menu action. Allows the user to select an object, and have automatic server creation, launching, and the appropriate client to appear. A new instance of this action must be created for each object that the user selects.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.0

Constructor Summary
`RunOnServerAction(java.lang.Object object)` Create a new Run on Server action for run mode.
`RunOnServerAction(java.lang.Object object, java.lang.String launchMode)` Create a new Run on Server action.

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RunOnServerAction

    public RunOnServerAction(java.lang.Object object)

  Create a new Run on Server action for run mode.

  Parameters:
    `object` - the object to attempt to run

### RunOnServerAction

    public RunOnServerAction(java.lang.Object object,
                             java.lang.String launchMode)

  Create a new Run on Server action.

  Parameters:
    `object` - the object to attempt to run
    `launchMode` - a `ILaunchManager` launch mode

Method Detail

### run

    public void run()